xine-lib: xine-lib-1.2.13/src/libreal/real_common.c File Reference

xine-lib 1.2.13-20230125hg15249

Macros | Functions | Variables
real_common.c File Reference
`#include "config.h"`
`#include <sys/stat.h>`
`#include <string.h>`
`#include <dlfcn.h>`
`#include "real_common.h"`

## Macros
#define | LOG_MODULE "real_common"
#define | LOG_VERBOSE
#define | UL64 0x03 /* /usr/{,local/}lib64 */
#define | UL 0x0C /* /usr/{,local/}lib */
#define | O 0x10 /* /opt */
#define | OL64 0x20 /* /opt/lib64 */
#define | OL 0x40 /* /opt/lib */

## Functions
void | ___brk_addr (void)
void | __ctype_b (void)
void | _x_real_codecs_init (xine_t *const xine)
void * | _x_real_codec_open (xine_stream_t *const stream, const char *const path, const char *const codec_name, const char *const codec_alternate)

## Variables
const plugin_info_t xine_plugin_info[] | EXPORTED

## Macro Definition Documentation

## ◆ LOG_MODULE

#define LOG_MODULE "real_common"

Referenced by _x_real_codec_open().

## ◆ LOG_VERBOSE

#define LOG_VERBOSE

## ◆ O

#define O 0x10 /* /opt */

Referenced by _x_real_codecs_init().

## ◆ OL

#define OL 0x40 /* /opt/lib */

Referenced by _x_real_codecs_init().

## ◆ OL64

#define OL64 0x20 /* /opt/lib64 */

Referenced by _x_real_codecs_init().

## ◆ UL

#define UL 0x0C /* /usr/{,local/}lib */

Referenced by _x_real_codecs_init().

## ◆ UL64

#define UL64 0x03 /* /usr/{,local/}lib64 */

Referenced by _x_real_codecs_init().

## Function Documentation

## ◆ ___brk_addr()

void ___brk_addr | ( | void |  | ) |

## ◆ __ctype_b()

void __ctype_b | ( | void |  | ) |

## ◆ _x_real_codec_open()

void * _x_real_codec_open | ( | xine_stream_t *const | stream,
|  | const char *const | path,
|  | const char *const | codec_name,
|  | const char *const | codec_alternate )

References _x_asprintf(), _x_message(), LOG_MODULE, NULL, xine_stream_s::xine, XINE_MSG_LIBRARY_LOAD_ERROR, XINE_VERBOSITY_DEBUG, and xprintf.

Referenced by load_syms_linux(), and load_syms_linux().

## ◆ _x_real_codecs_init()

void _x_real_codecs_init | ( | xine_t *const | xine | ) |

References _, xine_s::config, lprintf, NULL, O, OL, OL64, config_values_s::register_filename, UL, UL64, and XINE_CONFIG_STRING_IS_DIRECTORY_NAME.

Referenced by init_realadec(), and init_realvdec().

## Variable Documentation

## ◆ EXPORTED

const plugin_info_t xine_plugin_info [] EXPORTED

Initial value:
= {
{ PLUGIN_VIDEO_DECODER | PLUGIN_MUST_PRELOAD, 19, "realvdec", XINE_VERSION_CODE, &dec_info_realvideo, init_realvdec },
{ PLUGIN_AUDIO_DECODER | PLUGIN_MUST_PRELOAD, 16, "realadec", XINE_VERSION_CODE, &dec_info_realaudio, init_realadec },
{ PLUGIN_NONE, 0, NULL, 0, NULL, NULL }
}
dec_info_realvideo
const decoder_info_t dec_info_realvideo
Definition xine_real_video_decoder.c:547
dec_info_realaudio
const decoder_info_t dec_info_realaudio
Definition xine_real_audio_decoder.c:521
init_realadec
void * init_realadec(xine_t *xine, const void *data)
Definition xine_real_audio_decoder.c:501
init_realvdec
void * init_realvdec(xine_t *xine, const void *data)
Definition xine_real_video_decoder.c:527
XINE_VERSION_CODE
#define XINE_VERSION_CODE
Definition xine_internal.h:57
NULL
NULL
Definition xine_plugin.c:78
PLUGIN_AUDIO_DECODER
#define PLUGIN_AUDIO_DECODER
Definition xine_plugin.h:32
PLUGIN_NONE
#define PLUGIN_NONE
Definition xine_plugin.h:29
PLUGIN_MUST_PRELOAD
#define PLUGIN_MUST_PRELOAD
Definition xine_plugin.h:46
PLUGIN_VIDEO_DECODER
#define PLUGIN_VIDEO_DECODER
Definition xine_plugin.h:33